{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf true {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Adminsys
    iotop
    lm_sensors
    lshw
    lsof
    ntp
    powerline-fonts
    powertop
    python27Packages.ansible2
    python27Packages.glances
    usbutils

    # Backup
    duplicity     # création de sauvegarde chiffrées (GPG)

    # Compression
    lz4
    lzop

    # Système de fichier
    ## Montage de filesystem
    curlftpfs     # ftp
    exfat         # Pour monter les FAT avec Fuse
    hubicfuse     # montage hubic
    ntfs3g        # ntfs
    sshfsFuse     # ssh

    ## Gestion de FS
    nfs-utils

    ## Exploitation FS
    inotify-tools # être notifié lorsque le contenu d'un répertoire change
    duff          # outil de recherche de fichiers en doublons
    rdfind        # recherche de fichiers doublons pour remplacement par hard/soft link

    (mkIf profiles.isDesktop
      ## Gestion de FS
      gparted       # Gestion graphique de partitions
    )
    (mkIf profiles.isDesktop
      unetbootin    # création de clefs USB bootables
    )
  ];
}
